You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     ash...@freebsd.org
Last committer: ash...@freebsd.org
Ident:          $FreeBSD: head/lang/rubinius/Makefile 378686 2015-02-08 
21:26:13Z ashish $
Log URL:        
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p399861_s289632/logs/rubinius-2.5.2.log
Build URL:      
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p399861_s289632
Log:

====>> Building lang/rubinius
build started at Sat Oct 24 19:38:43 UTC 2015
port directory: /usr/ports/lang/rubinius
building for: FreeBSD head-armv6-default-job-02 11.0-CURRENT FreeBSD 
11.0-CURRENT r289632 arm
maintained by: ash...@freebsd.org
Makefile ident:      $FreeBSD: head/lang/rubinius/Makefile 378686 2015-02-08 
21:26:13Z ashish $
Poudriere version: 3.1.9
Host OSVERSION: 1100079
Jail OSVERSION: 1100082




!!! Jail is newer than host. (Jail: 1100082, Host: 1100079) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1100082
UNAME_v=FreeBSD 11.0-CURRENT r289632
UNAME_r=11.0-CURRENT
LC_COLLATE=C
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
MASTERMNT=/usr/local/poudriere/data/.m/head-armv6-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=rubinius-2.5.2
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p/pool
MASTERNAME=head-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.9
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
-P "/usr/local"  -I "/usr/local/include/rubinius"  -L 
"/usr/local/lib/ruby/rubinius"  -G "/usr/local/lib/ruby/gems/rubinius"  -B 
"/usr/local/bin"  -M "/usr/local/man"  --cc /nxb-bin/usr/bin/cc  --cxx 
/nxb-bin/usr/bin/c++  --no-bin-links  --llvm-config 
/usr/local/bin/llvm-config35  --with-fibers --without-dtrace --release-build  
--sitedir "/usr/local/lib/ruby/site_ruby/rubinius"  --vendordir 
"/usr/local/lib/ruby/vendor_ruby/rubinius"  --stagingdir 
"/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local" --with-execinfo  
--system-name FreeBSD
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
ac_cv_path_PERL=/usr/local/bin/perl ac_cv_path_PERL_PATH=/usr/local/bin/perl 
MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/lang/rubinius/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/lang/rubinius/work  
HOME=/wrkdirs/usr/ports/lang/rubinius/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
HOME=/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2 
GEM_PATH=/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/gems/ruby/2.1 
LANG=en_US.UTF-8 OPENSSLBASE=/usr OPENSSLDIR=/etc/ssl OPENSSLINC=/usr/include 
OPENSSLLIB=/usr/lib XDG_DATA_HOME=/wrkdirs/usr/ports/lang/rubinius/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/lang/rubinius/work  
HOME=/wrkdirs/usr/ports/lang/rubinius/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe 
-mfloat-abi=softfp  -DNO_IDEA -fno-strict-aliasing"  CPP="/nxb-bin/usr/bin/cpp" 
CPPFLAGS="-I/usr/local/include"  LDFLAGS="  -L/usr/local/lib" LIBS=""  
CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -mfloat-abi=softfp -DNO_IDEA 
-fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 
555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444
 "
--End MAKE_ENV--

--PLIST_SUB--
FREEBSD_DIR=-freebsd-11
RUBY_LIBDIR="lib/ruby/2.1"
RUBY_ARCHLIBDIR="lib/ruby/2.1/armv6-freebsd11"
RUBY_SITELIBDIR="lib/ruby/site_ruby/2.1"
RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/2.1/armv6-freebsd11"
RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/2.1"
RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/2.1/armv6-freebsd11"
RUBY_MODDOCDIR="share/doc/ruby21/rubinius"
RUBY_MODEXAMPLESDIR="share/examples/ruby21/rubinius"
RUBY_DOCDIR="share/doc/ruby21"
RUBY_EXAMPLESDIR="share/examples/ruby21"
RUBY_RIDIR="share/ri/2.1/system"
RUBY_SITERIDIR="share/ri/2.1/site"
RUBY_ELISPDIR="lib/ruby/elisp"
RUBY_VERSION="2.1.7"
RUBY_VER="2.1"
RUBY_SHLIBVER="21"
RUBY_ARCH="armv6-freebsd11"
RUBY_SUFFIX="21"
RUBY_NAME="ruby21"
RUBY_DEFAULT_SUFFIX="21"
RUBY20="@comment
"
RUBY21=""
RUBY22="@comment
"
RUBY_RD_HTML_FILES="@comment
"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
PERL_VERSION=5.20.3
PERL_VER=5.20
PERL5_MAN1=lib/perl5/site_perl/man/man1
PERL5_MAN3=lib/perl5/site_perl/man/man3
SITE_PERL=lib/perl5/site_perl
SITE_ARCH=lib/perl5/site_perl/mach/5.20
DOCSDIR="share/doc/rubinius"
EXAMPLESDIR="share/examples/rubinius"
DATADIR="share/rubinius"
WWWDIR="www/rubinius"
ETCDIR="etc/rubinius"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/rubinius
DOCSDIR=/usr/local/share/doc/rubinius
EXAMPLESDIR=/usr/local/share/examples/rubinius
WWWDIR=/usr/local/www/rubinius
ETCDIR=/usr/local/etc/rubinius
--End SUB_LIST--

---Begin make.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
<snip>
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License BSD3CLAUSE accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rubinius-2.5.2 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.1.txz
[head-armv6-default-job-02] Installing pkg-1.6.1...
[head-armv6-default-job-02] Extracting pkg-1.6.1: .......... done
Message from pkg-1.6.1:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   rubinius-2.5.2 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rubinius-2.5.2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by rubinius-2.5.2 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by rubinius-2.5.2 for building
=> SHA256 Checksum OK for rubinius-2.5.2.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===>   rubinius-2.5.2 depends on file: /usr/local/bin/ruby21 - not found
===>   Installing existing package /packages/All/ruby-2.1.7,1.txz
[head-armv6-default-job-02] Installing ruby-2.1.7,1...
[head-armv6-default-job-02] `-- Installing libffi-3.2.1...
[head-armv6-default-job-02] |   `-- Installing indexinfo-0.2.3...
[head-armv6-default-job-02] |   `-- Extracting indexinfo-0.2.3: .... done
[head-armv6-default-job-02] `-- Extracting libffi-3.2.1: .......... done
[head-armv6-default-job-02] `-- Installing libyaml-0.1.6_2...
[head-armv6-default-job-02] `-- Extracting libyaml-0.1.6_2: ......... done
[head-armv6-default-job-02] `-- Installing libedit-3.1.20150325_1...
[head-armv6-default-job-02] `-- Extracting libedit-3.1.20150325_1: .......... 
done
[head-armv6-default-job-02] Extracting ruby-2.1.7,1: .......... done
Message from ruby-2.1.7,1:
====
Some of the standard commands are provided as separate ports for ease
of upgrading:

        devel/ruby-gems:        gem - RubyGems package manager
        devel/rubygem-rake:     rake - Ruby Make

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

        databases/ruby-gdbm:    GDBM module

Install them as occasion demands.
====
===>   rubinius-2.5.2 depends on file: /usr/local/bin/ruby21 - found
===>   Returning to build of rubinius-2.5.2
===========================================================================
=======================<phase: extract        >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by rubinius-2.5.2 for building
===>  Extracting for rubinius-2.5.2
=> SHA256 Checksum OK for rubinius-2.5.2.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===>   rubinius-2.5.2 depends on file: /usr/local/bin/ruby21 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rubinius-2.5.2
===>  Applying FreeBSD patches for rubinius-2.5.2
===========================================================================
=======================<phase: build-depends  >============================
===>   rubinius-2.5.2 depends on file: /usr/local/bin/bundle - not found
===>   Installing existing package /packages/All/rubygem-bundler-1.10.6.txz
[head-armv6-default-job-02] Installing rubygem-bundler-1.10.6...
[head-armv6-default-job-02] `-- Installing ruby21-gems-2.4.8...
[head-armv6-default-job-02] `-- Extracting ruby21-gems-2.4.8: .......... done
[head-armv6-default-job-02] Extracting rubygem-bundler-1.10.6: .......... done
===>   rubinius-2.5.2 depends on file: /usr/local/bin/bundle - found
===>   Returning to build of rubinius-2.5.2
===>   rubinius-2.5.2 depends on file: /usr/local/bin/llvm-config35 - not found
===>   Installing existing package /packages/All/llvm35-3.5.2_1.txz
[head-armv6-default-job-02] Installing llvm35-3.5.2_1...
[head-armv6-default-job-02] `-- Installing python27-2.7.10_1...
[head-armv6-default-job-02] |   `-- Installing gettext-runtime-0.19.6...
[head-armv6-default-job-02] |   `-- Extracting gettext-runtime-0.19.6: 
.......... done
[head-armv6-default-job-02] |   `-- Installing readline-6.3.8...
[head-armv6-default-job-02] |   `-- Extracting readline-6.3.8: .......... done
[head-armv6-default-job-02] `-- Extracting python27-2.7.10_1: .......... done
[head-armv6-default-job-02] `-- Installing perl5-5.20.3_8...
[head-armv6-default-job-02] `-- Extracting perl5-5.20.3_8: .......... done
[head-armv6-default-job-02] Extracting llvm35-3.5.2_1: .......... done
Message from python27-2.7.10_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from perl5-5.20.3_8:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   rubinius-2.5.2 depends on file: /usr/local/bin/llvm-config35 - found
===>   Returning to build of rubinius-2.5.2
===>   rubinius-2.5.2 depends on file: /usr/local/bin/bison - not found
===>   Installing existing package /packages/All/bison-2.7.1,1.txz
[head-armv6-default-job-02] Installing bison-2.7.1,1...
[head-armv6-default-job-02] `-- Installing m4-1.4.17_1,1...
[head-armv6-default-job-02] `-- Extracting m4-1.4.17_1,1: .......... done
[head-armv6-default-job-02] Extracting bison-2.7.1,1: .......... done
===>   rubinius-2.5.2 depends on file: /usr/local/bin/bison - found
===>   Returning to build of rubinius-2.5.2
===>   rubinius-2.5.2 depends on file: /usr/local/bin/ruby21 - found
===>   rubinius-2.5.2 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[head-armv6-default-job-02] Installing gmake-4.1_2...
[head-armv6-default-job-02] Extracting gmake-4.1_2: .......... done
===>   rubinius-2.5.2 depends on executable: gmake - found
===>   Returning to build of rubinius-2.5.2
===>   rubinius-2.5.2 depends on package: perl5>=5.20<5.21 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   rubinius-2.5.2 depends on shared library: libreadline.so.6 - found 
(/usr/local/lib/libreadline.so.6)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rubinius-2.5.2
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
Installing rake 10.4.2
Installing daedalus-core 0.2.0
Installing redcard 1.1.0
Installing rubinius-ast 2.3.1
Installing rubinius-bridge 1.1.0
Installing rubinius-compiler 2.3.1
Installing rubinius-melbourne 2.3.1.0 with native extensions
Installing rubinius-processor 2.3.0
Installing rubinius-toolset 2.3.1
Installing rubinius-build_tools 2.0.0
Using bundler 1.10.6
Updating files in vendor/cache
Bundle complete! 5 Gemfile dependencies, 11 gems now installed.
Bundled gems are installed into ./gems.
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/vendor/udis86/aclocal.m4
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/vendor/udis86/configure
------------------------- WARNING -----------------------
The specified prefix '/usr/local' already exists.
Installing Rubinius into an existing directory may
overwrite existing unrelated files or cause conflicts
between different versions of Rubinius files.
---------------------------------------------------------
Checking /nxb-bin/usr/bin/cc: found
Checking /nxb-bin/usr/bin/c++: found
Checking bison: found

Detected old configuration settings, forcing a clean build
The directory /usr/local already exists, installing to /usr/local/rubinius/2.5
  Checking for 'llvm-config': found! (version 3.5.2 - api: 305)

Checking sizeof(short): 2 bytes
Checking sizeof(int): 4 bytes
Checking sizeof(void*): 4 bytes
Checking sizeof(size_t): 4 bytes
Checking sizeof(long): 4 bytes
Checking sizeof(long long): 8 bytes
Checking sizeof(float): 4 bytes
Checking sizeof(double): 8 bytes
Checking sizeof(off_t): 8 bytes
Checking sizeof(time_t): 8 bytes
Checking for libc version: ldd: /bin/sh: not a dynamic executable
libc not found. Use the --libc configure option.

Running 'configure' failed. Please check configure.log for more details.
===>  Script "configure" failed unexpectedly.
Please report the problem to ash...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/lang/rubinius
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to